summaryrefslogtreecommitdiff
path: root/net/macchanger.sh
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2007-11-28 15:45:03 +0000
committerRoy Marples <roy@marples.name>2007-11-28 15:45:03 +0000
commitac9279cc0d5a00bc17908b2914941186020cd3ce (patch)
tree850a4fe19917113e75bfd2e79d00b58208468503 /net/macchanger.sh
parent444f23e2d158389b22d40537fc9b027d9f575229 (diff)
downloadopenrc-ac9279cc0d5a00bc17908b2914941186020cd3ce.tar.gz
openrc-ac9279cc0d5a00bc17908b2914941186020cd3ce.tar.bz2
openrc-ac9279cc0d5a00bc17908b2914941186020cd3ce.tar.xz
Massive whitespace cleanup
Diffstat (limited to 'net/macchanger.sh')
-rw-r--r--net/macchanger.sh20
1 files changed, 10 insertions, 10 deletions
diff --git a/net/macchanger.sh b/net/macchanger.sh
index c2dc27f..825ede1 100644
--- a/net/macchanger.sh
+++ b/net/macchanger.sh
@@ -51,7 +51,7 @@ macchanger_pre_start() {
[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f]:[0-9a-f][0-9a-f])
# We don't need macchanger to change to a specific mac address
_set_mac_address "${mac}"
- if eend "$?" ; then
+ if eend "$?"; then
mac=$(_get_mac_address)
eindent
einfo "changed to ${mac}"
@@ -62,25 +62,25 @@ macchanger_pre_start() {
;;
# increment MAC address, default macchanger behavior
- increment) opts="${opts}" ;;
+ increment) opts="${opts}";;
# randomize just the ending bytes
- random-ending) opts="${opts} -e" ;;
+ random-ending) opts="${opts} -e";;
# keep the same kind of physical layer (eg fibre, copper)
- random-samekind) opts="${opts} -a" ;;
+ random-samekind) opts="${opts} -a";;
# randomize to any known vendor of any physical layer type
- random-anykind) opts="${opts} -A" ;;
+ random-anykind) opts="${opts} -A";;
# fully random bytes
- random-full|random) opts="${opts} -r" ;;
+ random-full|random) opts="${opts} -r";;
# default case is just to pass on all the options
- *) opts="${opts} ${mac}" ;;
+ *) opts="${opts} ${mac}";;
esac
- if [ ! -x /sbin/macchanger ] ; then
+ if [ ! -x /sbin/macchanger ]; then
eerror "For changing MAC addresses, emerge net-analyzer/macchanger"
return 1
fi
@@ -90,12 +90,12 @@ macchanger_pre_start() {
_up
# Sometimes the interface needs to be up ....
- if [ -z "${mac}" ] ; then
+ if [ -z "${mac}" ]; then
mac=$(/sbin/macchanger ${opts} "${IFACE}" \
| sed -n -e 's/^Faked MAC:.*\<\(..:..:..:..:..:..\)\>.*/\U\1/p' )
fi
- if [ -z "${mac}" ] ; then
+ if [ -z "${mac}" ]; then
eend 1 "Failed to set MAC address"
return 1
fi